import './interview.scss';
import {createElement} from "../../_global/scripts/helpers";
import {createInterviewItem} from "../../atoms/interview-item/InterviewItemComponent";
import {interviewData} from "./InterviewData";

export const createInterview =
    ({

    }) => {
    const article = createElement('article', ['col', 'magazine-article']);

    const qAndA = interviewData;
    qAndA.map((interview) => {
        article.appendChild(createInterviewItem({
            partnerClass: interview.partnerClass,
            headline: interview.headline,
            text: interview.text,
        }))
    });

    return article;
}